Name:            polkit-qt-1
Version:         0.114.0
Release:         2
Summary:         Qt bindings for PolicyKit

License:         GPLv2+
URL:             https://invent.kde.org/libraries/polkit-qt-1
Source0:         http://download.kde.org/stable/%{name}/polkit-qt-1-%{version}.tar.xz
Patch0:          0001-add-setCancel-method.patch

BuildRequires:   cmake
BuildRequires:   gcc-c++
BuildRequires:   pkgconfig(polkit-agent-1) pkgconfig(polkit-gobject-1)
BuildRequires:   pkgconfig(Qt5DBus) pkgconfig(Qt5Gui) pkgconfig(Qt5Widgets)

%description
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package doc
Summary:         Doxygen documentation for the PolkitQt API
Obsoletes:       polkit-qt-doc < %{version}-%{release}
Provides:        polkit-qt-doc = %{version}-%{release}
BuildArch:       noarch
%description doc
%{summary}.

%package -n polkit-qt5-1
Summary:         PolicyKit Qt5 bindings
Obsoletes:       polkit-qt5 < 0.112.0-3
Provides:        polkit-qt5 = %{version}-%{release}
%description -n polkit-qt5-1
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package -n polkit-qt5-1-devel
Summary: Development files for PolicyKit Qt5 bindings
Obsoletes: polkit-qt5-devel < 0.112.0-3
Provides:  polkit-qt5-devel = %{version}-%{release}
Requires: polkit-qt5-1%{?_isa} = %{version}-%{release}
%description -n polkit-qt5-1-devel
%{summary}.


%prep
%autosetup -n %{name}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DBUILD_EXAMPLES:BOOL=OFF
popd
%make_build -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%ldconfig_scriptlets -n polkit-qt5-1

%files -n polkit-qt5-1
%doc AUTHORS README
%license LICENSES/*
%{_libdir}/libpolkit-qt5-core-1.so.1*
%{_libdir}/libpolkit-qt5-gui-1.so.1*
%{_libdir}/libpolkit-qt5-agent-1.so.1*

%files -n polkit-qt5-1-devel
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/


%changelog
* Thu Jul 21 2022 loong_C <loong_c@yeah.net> - 0.114.0-2
- add setCancel method and modify URL

* Thu Jan 13 2022 pei-jiankang <peijiankang@kylinos.cn> - 0.114.0-1
- update to upstream version 0.114.0

* Mon Dec 13 2021 huayadong <huayadong@kylinos.cn> - 0.113.0-2
- remove %{?dist}

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 0.113.0-1
- Initial release for OpenEuler

